Name: gnome-system-tools
Version: 2.27.1
Release: alt1

Summary: Cross-platform configuration utilities for GNOME
License: GPL
Group: Graphical desktop/GNOME
Url: http://projects.gnome.org/gst/
Packager: Vladimir Lettiev <crux@altlinux.ru>

Source: %name-%version.tar

# Patches from debian
Patch1: 01_wait_for_backends.patch
Patch2: 18_disable_uid.patch
Patch3: 26_users_home_dir.patch
Patch4: 40_more-groups.patch
Patch5: 50_min-max-gid.patch
Patch6: 60_save_crash.patch
Patch7: 62_postgresql.patch
Patch8: 63_hosts_crash.patch
Patch9: 85_users_fix_add_group.patch

Requires(post): GConf2
Requires: PolicyKit-gnome

BuildPreReq: rpm-build-gnome gnome-common

BuildRequires: liboobs-devel libgtk+2-devel glib2-devel libGConf-devel libdbus-devel libpolkit-devel perl-XML-Parser
BuildRequires: gnome-doc-utils GConf libgio-devel libnautilus-devel libdbus-glib-devel intltool

%description
The GNOME System Tools are a fully integrated set of tools aimed to make easy the job that means the computer administration on an UNIX or Linux system. They're thought to help from the new Linux or UNIX user to the system administrators. 

%package devel
Summary: %name development files
Group: Development/C
Requires: %name = %version-%release

%description devel
%summary

%package -n nautilus-gst-shares
Summary: gst shares extension for nautilus
Group: Graphical desktop/GNOME
Requires: %name = %version-%release

%description -n nautilus-gst-shares
%summary

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
./autogen.sh
%configure --disable-scrollkeeper --disable-schemas-install
%make_build

%install
%make_install DESTDIR=%buildroot install
%__rm -f %buildroot%_libdir/nautilus/extensions-2.0/libnautilus-gst-shares.a
%__rm -f %buildroot%_libdir/nautilus/extensions-2.0/libnautilus-gst-shares.la

%find_lang --with-gnome %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%gconf_schemasdir/%name.schemas
%_bindir/*-admin
%_desktopdir/*.desktop
%_liconsdir/*
%_niconsdir/*
%_miconsdir/*
%_iconsdir/hicolor/22x22/apps/*
%_iconsdir/hicolor/24x24/apps/*
%_iconsdir/hicolor/48x48/devices/*
%_iconsdir/hicolor/scalable/apps/*
%_datadir/%name
%_omfdir/*-admin/*
%gnome_helpdir/*
%doc AUTHORS BUGS COPYING HACKING NEWS ChangeLog README TODO

%files -n nautilus-gst-shares
%_libdir/nautilus/extensions-2.0/libnautilus-gst-shares.so

%files devel
%_libdir/pkgconfig/%name.pc

%changelog
* Wed Jun 17 2009 Vladimir Lettiev <crux@altlinux.ru> 2.27.1-alt1
- build current source tree from git (95545e0)
- sepatated devel and nautilus extension packages

* Wed Sep 17 2008 Vladimir Lettiev <crux@altlinux.ru> 2.22.0-alt1
- Initial build for Sisyphus

